package com.company.grouptableavg.entity;

import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;

@Table(name = "GROUPTABLEAVG_ORDER")
@Entity(name = "grouptableavg_Order")
public class Order extends StandardEntity {
    private static final long serialVersionUID = -6195566560639871791L;

    @Column(name = "CUSTOMER")
    private String customer;

    @Column(name = "AMOUNT")
    private BigDecimal amount;

    @Column(name = "COST")
    private BigDecimal cost;

    @Column(name = "MARGIN")
    private BigDecimal margin;

    @Column(name = "MARGIN_RATE")
    private BigDecimal marginRate;

    public void setMarginRate(BigDecimal marginRate) {
        this.marginRate = marginRate;
    }

    public BigDecimal getMarginRate() {
        return marginRate;
    }

    public BigDecimal getCost() {
        return cost;
    }

    public void setCost(BigDecimal cost) {
        this.cost = cost;
    }

    public BigDecimal getMargin() {
        return margin;
    }

    public void setMargin(BigDecimal margin) {
        this.margin = margin;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getCustomer() {
        return customer;
    }

    public void setCustomer(String customer) {
        this.customer = customer;
    }
}